get
https://services.azuga.com/azuga-ws-oauth/v3/webhooks/.json
Use this API to get details of a particular webhook. You need to pass the ID (token) of the webhook, while calling this API.
Note: To get the ID of a webhook, you must call the View API. For more information, see Webhooks View API
Warning : Make sure that you are setting the method to GET. The same endpoint is used for deleting a Webhook using DELETE method. The deletion of the Webhook is an irreversible action.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Requesthttps://services.azuga.com/azuga-ws-oauth/v3/webhooks.json/FCKSNIYVU
API Response Explanation
| Field | Description | Data Type |
|---|---|---|
| generatedAtInMillis | The time at which the API returns the response. Value returned is in milliseconds | Long |
| data | Object representing the meta-data of the webhook | Object |
| webHookId | Unique identifier representing the webhook | Long |
| token | Unique identifier representing the webhook | String |
| time | Timestamp (in Milliseconds) at which the webhook was created | Date |
| name | Name of the webhook | String |
| url | Specify the URL where you want Azuga to send the webhook data. | String |
| authorizationType | Type of authorization | String |
| Address to which our application will send email when the specified URL is unavailable or does not respond | String | |
| paused | Boolean to indicate if the webhook is paused | boolean |
| pausedTill | Period till which the webhook is paused This field will be null if paused = false | Date |
| createdBy | Unique identifier of the user who created the webhook | String |
| createdAt | Timestamp (in Milliseconds) at which the webhook was created | Timestamp |
| lastModifiedBy | Unique identifier of the user who last modified the webhook | String |
| lastModifiedAt | Timestamp (in Milliseconds) at which the webhook was modified last | Timestamp |
| retryRate | Number of time to retry in case of failures while posting | Integer |
| webHookAuthKeyValues | Array of key - value pair used for authorization | Set<WebHookAuthKeyValueMapping> |
| authKey | Authorization key | String |
| authValue | Authorization value | String |
| deleted | Boolean representing whether the webHookAuthKeyValue is deleted or not. | boolean |
| webHookEventTypes | Array of event types | List<WebHookEventTypeMapping> |
| eventType | Name of the event type | String |
| deleted | Boolean representing whether the webHookEventType is deleted or not. | boolean |
| expired | boolean representing whether the webhook is expired or not | boolean |
| noOfSeconds | For Azuga internal use | int |
| make | For Azuga internal use | String |
| model | For Azuga internal use | String |
| year | For Azuga internal use | String |
| speed | For Azuga internal use | Integer |
| licensePlateNo | For Azuga internal use | String |
| error | Error message | List<Error> |

